MODULE CODE8
USE CODE9
USE CODE6
IMPLICIT NONE

INTEGER :: iterations,burnin,step,Ii,Tt,Hh,i,t,h,m,n_p,np,n_e,ne,cf,c
INTEGER, POINTER :: Mm(:),Sample_factor(:)

TYPE(Univariate_normal_mixture), POINTER :: fmix(:)
TYPE(LINEAR_FACTOR_EQUATION), POINTER :: eq(:)
TYPE(PROBIT), POINTER :: pr(:)
REAL(8) :: prior_var
REAL(8), PARAMETER :: g1=2.0d0,g2=1.0d0
REAL(8), ALLOCATABLE :: f(:,:)

END MODULE CODE8